Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class StylesheetUserPreferences

    java.lang.Object
      org.jasig.portal.StylesheetUserPreferences

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ThemeStylesheetUserPreferences

    public class StylesheetUserPreferences

extends java.lang.Object
implements java.io.Serializable

Description of user preferences that are common to all of the core stylesheets

Version:
  $Revision: 1.11.4.2 $
Author:
  Peter Kharchenko
See Also:
  Serialized Form

Field Summary
`private int` | `id`
`private java.util.Hashtable` | `parameters`

Constructor Summary
`StylesheetUserPreferences()`
`StylesheetUserPreferences(StylesheetUserPreferences sup)`

Method Summary
`void` | `deleteParameter(java.lang.String parameterName)`
`java.lang.String` | `getCacheKey()`
`java.lang.String` | `getParameterValue(java.lang.String parameterName)`
`java.util.Hashtable` | `getParameterValues()`
`int` | `getStylesheetId()`
`java.lang.Object` | `newInstance()` Provides a copy of this object with all fields instantiated to reflect the values of this object.
`void` | `putParameterValue(java.lang.String parameterName, java.lang.String parameterValue)`
`void` | `setParameterValues(java.util.Hashtable parameters)`
`void` | `setStylesheetId(int n)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    private int id

### parameters

    private java.util.Hashtable parameters

Constructor Detail

### StylesheetUserPreferences

    public StylesheetUserPreferences()

### StylesheetUserPreferences

    public StylesheetUserPreferences(StylesheetUserPreferences sup)

Method Detail

### newInstance

    public java.lang.Object newInstance()

  Provides a copy of this object with all fields instantiated to reflect the values of this object. This allows subclasses to override to add correct copying behavior for their added fields.

  Returns:
    a copy of this object

### getStylesheetId

    public int getStylesheetId()

### setStylesheetId

    public void setStylesheetId(int n)

### getParameterValue

    public java.lang.String getParameterValue(java.lang.String parameterName)

### putParameterValue

    public void putParameterValue(java.lang.String parameterName,
                                  java.lang.String parameterValue)

### deleteParameter

    public void deleteParameter(java.lang.String parameterName)

### getParameterValues

    public java.util.Hashtable getParameterValues()

### setParameterValues

    public void setParameterValues(java.util.Hashtable parameters)

### getCacheKey

    public java.lang.String getCacheKey()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD